CREATE TABLE  INSTALLMENTS
( CLASS   VARCHAR2(2),
   TERM    NUMBER(1),
   AMOUNT NUMBER(4),
   DUEDATE  DATE,
   PRIMARY KEY (CLASS,TERM)
);

CREATE TABLE STUDENTS 
( STUDNO   NUMBER(5)  PRIMARY KEY,
   NAME       VARCHAR2(30),
   DOB          DATE,
   FNAME      VARCHAR2(30),
   DJ             DATE,
   GENDER   CHAR(1)
);


CREATE TABLE CSTUDENTS
( STUDNO  NUMBER(5)  REFERENCES STUDENTS,
   CLASS      VARCHAR2(2),
   SECTION  CHAR(1),
   ROLLNO   NUMBER(3),
   YEAR        NUMBER(4),
   PRIMARY KEY(STUDNO,CLASS)
);


CREATE TABLE MARKS
( STUDNO  NUMBER(5)  REFERENCES STUDENTS,
   CLASS      VARCHAR2(2),
   TEST         VARCHAR2(2),
   SUBJECT   VARCHAR2(5),
   TOTMARKS NUMBER(3),
   MARKS        NUMBER(3),
   PRIMARY KEY(STUDNO,CLASS,TEST,SUBJECT)
);

CREATE TABLE PAYMENTS
(
   STUDNO  NUMBER(5)  REFERENCES STUDENTS,
   CLASS      VARCHAR2(2),
   TERM        NUMBER(1),
   AMOUNT  NUMBER(5),
   DP            DATE,
   PRIMARY KEY(STUDNO,CLASS,TERM)
);


-- DATA

INSERT INTO STUDENTS 
VALUES(1,'SACHIN','12-DEC-1999','RAMESH','10-JUN-2002','M');

INSERT INTO STUDENTS 
VALUES(2,'RAUL DRAVID','11-NOV-1998','RAMA','12-JUN-2002','M');


-- CSTUDENTS
INSERT INTO CSTUDENTS 
VALUES(1,'U','A',33,2002);

INSERT INTO CSTUDENTS 
VALUES(2,'L','B',22,2002);



